PUMA_CONFIG environment Variable
--------------------------------

The ac++ requires the environment variable named PUMA_CONFIG set, or will fall
back to /etc/puma.config. Without a suitable puma.config file, ac++ will fail
with irritating error messages about not finding the right includes.  The
Debian package uses ag++ to create an suitable puma.config in its postinst
script. This script has to be re-run each time a new GCC version is installed
using dpkg-reconfigure. Unfortunately, there is no mechanism to register hooks
after upgrading GCC, so this is up to the local system admin. After all this
would not happen quite often in a stable release, huh? ;)

 -- Reinhard Tartler <siretart@tauware.de>, Mon, 27 Mar 2017 20:26:38 -0400

Woven vs. Unwoven Sources
-------------------------

the orig.tar.gz has been downloaded from
http://www.aspectc.org/fileadmin/downloads/ac/1.0pre2/ac-woven-1.0pre2.tar.gz

The unwoven sources require ac++ to build. The woven sources have do have
exact the same sources, but Puma has already been woven, so that it can be
built on the buildds.

The shell wrappers ac++ and ag++ have been removed, because puma now uses
/etc/puma.config as default config file if no environment variable PUMA_CONFIG
is set.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 23 Dec 2005 10:18:20 +0100

aspectc++ for Debian
--------------------

AspectC++ development team shipped version 0.9.1 compiling static binaries.
This was changed in this Debian package, keeping static linkage only with
libPuma, which is an AspectC++ specific library, and doesn't need to be
distributed.

 -- Antonio S. de A. Terceiro <asaterceiro@inf.ufrgs.br>,  Sat, 12 Feb 2005 21:40:50 -0200


